QGIS Application - Bug report #758
Slow rendering of the map composer
2007-08-31 07:54 AM - leo-lami -

Status: Closed
Priority: Low
Assignee: Steven Bell -
Category:

Affected QGIS version:
Operating System: Debian
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 10817

Description

When | put many objects in the map composer the rendering became very slow and | shift the objects with very difficulty because they do

not follow the movements of the mouse.

History

#1 - 2007-11-05 05:46 PM - Steven Bell -

How many is "many objects"? Are you using render or cache mode to display the objects?

#2 - 2007-11-06 03:21 AM - leo-lami -

Replying to [comment:2 StevenB]:

How many is "many objects"? Are you using render or cache mode to display the objects?

Just the map, a label, a scale, a legen and an image but it seems not depending by what | load on the map canvas and by its extension. If | use

recatangular mode all is ok, with cache mode the rendering became slower and if | use render mode it is very difficult move teh objects.

Regards

Leonardo

#3 - 2007-11-21 07:25 PM - Steven Bell -

I'm marking this as a defect, since this is fairly normal behavior. The solution would be to not re-draw the object while dragging, and just show its outline

with a dotted rectangle.

#4 - 2008-08-26 12:24 AM - Marco Hugentobler

Is this ticket still valid?

Marco

#5 - 2008-12-07 01:21 AM - Marco Hugentobler
- Status changed from Open to Closed

2025-12-15
- Resolution set to fixed

I'm closing this ticket because there has been no reply for some time. Please reopen the ticket if it is still valid.

Marco

#6 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
